javax.security.auth.message

## Class AuthStatus

- java.lang.Object
- - javax.security.auth.message.AuthStatus

-     public class AuthStatus
      extends Object

  The AuthStatus class is used to represent return values from Authentication modules and Authentication Contexts. An AuthStatus value is returned when the module processing has established a corresponding request or response message within the message parameters exchanged with the runtime.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthStatus` | `FAILURE` Indicates that the message processing by the authentication module was NOT successful, and that the module replaced the application message with an error message.
    `static AuthStatus` | `SEND_CONTINUE` Indicates the message processing by the authentication module is NOT complete, that the module replaced the application message with a security message, and that the runtime is to proceed by sending the security message.
    `static AuthStatus` | `SEND_FAILURE` Indicates that the message processing by the authentication module was NOT successful, that the module replaced the application message with an error message, and that the runtime is to proceed by sending the error message.
    `static AuthStatus` | `SEND_SUCCESS` Indicates that the message processing by the authentication module was successful and that the runtime is to proceed by sending a message returned by the authentication module.
    `static AuthStatus` | `SUCCESS` Indicates that the message processing by the authentication module was successful and that the runtime is to proceed with its normal processing of the resulting message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS

          public static final AuthStatus SUCCESS

      Indicates that the message processing by the authentication module was successful and that the runtime is to proceed with its normal processing of the resulting message.

    - #### FAILURE

          public static final AuthStatus FAILURE

      Indicates that the message processing by the authentication module was NOT successful, and that the module replaced the application message with an error message.

    - #### SEND_SUCCESS

          public static final AuthStatus SEND_SUCCESS

      Indicates that the message processing by the authentication module was successful and that the runtime is to proceed by sending a message returned by the authentication module.

    - #### SEND_FAILURE

          public static final AuthStatus SEND_FAILURE

      Indicates that the message processing by the authentication module was NOT successful, that the module replaced the application message with an error message, and that the runtime is to proceed by sending the error message.

    - #### SEND_CONTINUE

          public static final AuthStatus SEND_CONTINUE

      Indicates the message processing by the authentication module is NOT complete, that the module replaced the application message with a security message, and that the runtime is to proceed by sending the security message.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.